package models

import "gogs.tyduyong.com/duyong/dy-admin/internal/pkg/models"

type SysUser struct {
	UserID    int    `gorm:"primaryKey;autoIncrement;comment:编码"  json:"userId"`
	Username  string `json:"username" gorm:"size:64;comment:用户名"`
	Password  string `json:"-" gorm:"size:128;comment:密码"`
	NickName  string `json:"nickName" gorm:"size:128;comment:昵称"`
	Phone     string `json:"phone" gorm:"size:11;comment:手机号"`
	Salt      string `json:"-" gorm:"size:255;comment:加盐"`
	Avatar    string `json:"avatar" gorm:"size:255;comment:头像"`
	Sex       string `json:"sex" gorm:"size:255;comment:性别"`
	Remark    string `json:"remark" gorm:"size:255;comment:备注"`
	Status    string `json:"status" gorm:"size:4;comment:状态"`
	TenantIDs []int  `json:"tenantIds" gorm:"-"` //加入的租户
	models.ControlBy
	models.ModelTime
}
